Bug 189150 - Review Request: mod_mono
Review Request: mod_mono
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
: 189149 (view as bug list)
Depends On: 189151
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-17 12:52 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 05:50:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mock Build Failure log (50.54 KB, text/plain)
2006-05-10 10:01 EDT, Brian Pepple
no flags Details

  None (edit)
Description Paul F. Johnson 2006-04-17 12:52:24 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/mod_mono.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/mod_mono-1.1.14-1.src.rpm
Description: 

mod_mono is an Apache module which allows Apache to serve up ASP.NET pages
Comment 1 Paul F. Johnson 2006-04-17 13:05:45 EDT
*** Bug 189149 has been marked as a duplicate of this bug. ***
Comment 2 Paul F. Johnson 2006-04-18 18:18:42 EDT
Spec URL: http://www.smmp.salford.ac.uk/packages/mod_mono.spec
SRPM URL: http://www.smmp.salford.ac.uk/packages/mod_mono-1.1.14-2.src.rpm

libdir now set to /usr/lib irrespective of what it's built on
spec file mods
Comment 3 Michael J Knox 2006-04-23 23:08:32 EDT
Builds on FC5, rpmlint complains a little:

W: mod_mono conffile-without-noreplace-flag /etc/httpd/conf/mod_mono.conf
W: mod_mono one-line-command-in-%post /sbin/ldconfig
W: mod_mono one-line-command-in-%postun /sbin/ldconfig

Also, the config file should be in /etc/httpd/conf.d/ ? 
Comment 4 Paul F. Johnson 2006-04-24 02:28:54 EDT
The conf file should be in conf.d - good catch, thanks. The others are warnings
- not too concerned over them.
Comment 5 Paul F. Johnson 2006-05-08 19:21:00 EDT
Checked the makefile.am for where the software thinks the config file should be
and it's picked up by what apxs returns for an environment variable (in this
case, /usr/httpd/conf)

I'm not sure, but shouldn't apxs return that config files should be in conf.d?
If this is the case, can someone confirm it so that I can file a BZ against apsx?
Comment 6 Brian Pepple 2006-05-10 10:01:31 EDT
Created attachment 128850 [details]
Mock Build Failure log

Here's a couple of items:

1. URL is incorrect.  Should be 'http://www.mono-project.com/Mod_mono'.
2. Need full Source0.
'http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.gz'
3. License is Apache, not GPL
4. Fails to build in Mock (devel).  I've attach the build log for you.	The
problem appears to be the test for apache in the configure.ac file.  It's not
getting the version of apache correctly and assuming it's 1.3 , instead of 2.2.
Comment 7 Paul F. Johnson 2006-06-04 09:37:00 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mod_mono.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mod_mono-1.1.14-3.src.rpm

Change of URL
A couple of tweaks. I'll address #6 today
Comment 8 Paul F. Johnson 2006-08-10 08:44:52 EDT
Not much has changed, though I'm expecting an updated release from the Mono
people soon
Comment 9 Paul F. Johnson 2006-08-30 20:25:45 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mod_mono.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mod_mono-1.1.17-1.src.rpm

FINALLY!

Compiles cleanly, rpmlint is more or less happy.
The package is already architecture agnostic, though I had to mess in the spec
so that the config when to http/conf.d instead of httpd/conf

Plenty of fixes to the spec file as well
Comment 10 Kevin Fenzi 2006-09-07 23:06:54 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
3f0408a350f6f55029b75f4332be171f  mod_mono-1.1.17.tar.gz
3f0408a350f6f55029b75f4332be171f  mod_mono-1.1.17.tar.gz.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Spec has needed ldconfig in post and postun
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
See below - Package has %defattr and permissions on files is good.
See below - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - .la files are removed.  
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

SHOULD Items:

See below - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. URL and Source0 are not correct.
URL should be the link to the website of the package.
Suggest something like: http://www.mono-project.com/Mod_mono
Source0 should be the full link to the source file.
Suggest something like:
http://go-mono.com/sources/mod_mono/mod_mono-1.1.17.tar.gz

2. The License looks wrong. The code and the COPYING file are
the Apache License, Version 2.0. NOT the GPL.

Note that these items are duplicated from comment #6.
Can you fix them? Or indicate why not?

3. Might include the INSTALL doc? In many cases this is a generic
document from the auto tools, but in this case it has some useful
apache configuration information, IMHO.

4. Might change the defattr from:
%defattr(-, root, root)
to
%defattr(-, root, root,-)

5. You seem to be missing a %clean section. Please add one.

6. You should perhaps Require: httpd >= 2.2 ?   
Otherwise this package is pretty useless without apache?
Comment 11 Kevin Fenzi 2006-09-07 23:17:36 EDT
Oh, I ran rpmlint on the wrong build. It reports: 

W: mod_mono conffile-without-noreplace-flag /etc/httpd/conf.d/mod_mono.conf

Should set that to be %config(noreplace) ?

E: mod_mono no-cleaning-of-buildroot
E: mod_mono no-%clean-section

That would get fixed by adding a %clean section...

W: mod_mono mixed-use-of-spaces-and-tabs

Would be good to clean out and only use spaces or tabs... 
Comment 12 Paul F. Johnson 2006-09-08 16:52:50 EDT
Fixed all the bits. The source is actually permitted as it stands (I queried
this over another package a while back and it was fine)

rpmlint is now clean
mock is happy (i386)
Comment 13 Kevin Fenzi 2006-09-08 23:59:02 EDT
In reply to comment #12:

Great. Can you upload the fixed version to look at? :) 

Is there any reason not to include the full URL in Source0? 
It does make it easier for someone to download the source without having 
to hunt around on the site for a download link... 
Comment 14 Paul F. Johnson 2006-09-09 07:10:23 EDT
Spec URL: http://www.knox.net.nz/~nodoid/mod_mono.spec
SRPM URL: http://www.knox.net.nz/~nodoid/mod_mono-1.1.17-3.src.rpm

Spec file altered as the SOURCE and URL were wrong (URL was actually the SOURCE!)
Rebuilt
Comment 15 Kevin Fenzi 2006-09-09 20:29:26 EDT
All the inital items seem to be fixed up... 
you do now seem to have two Source0 lines: 

Source0: http://go-mono.com/sources-latest/
Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.gz

The first one of those should be the URL: tag. 

Provided you fix that up, I'm happy to APPROVE this package. 
Don't forget to close this bug NEXTRELEASE once it's been imported and built. 
Comment 16 Paul F. Johnson 2006-09-10 05:50:04 EDT
Thanks - fixed and imported :-)

Note You need to log in before you can comment on or make changes to this bug.